/*
 * DataFileParseException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * XMLファイル解析時に発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class DataFileParseException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 1259213646009195222L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public DataFileParseException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public DataFileParseException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public DataFileParseException(String msg, Exception cause) {
		super(msg, cause);
	}
}
